package se.gawell.setrace.jersey;

import org.slf4j.MDC;

import com.sun.jersey.api.client.ClientHandlerException;
import com.sun.jersey.api.client.ClientRequest;
import com.sun.jersey.api.client.ClientResponse;
import com.sun.jersey.api.client.filter.ClientFilter;

/*
 *     This file is part of SeTrace.
 *
 *   SeTrace is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SeTrace is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SeTrace.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * Filter to get request trace id from MDC and put it in request header.
 * 
 * Used by RequestTracingJerseyClient
 * 
 * @author Niklas Gawell
 *
 */
class RequestTraceIdClientFilter extends ClientFilter {

	@Override
	public ClientResponse handle(ClientRequest cr) throws ClientHandlerException {
		String requestTraceId = MDC.get(MDCKeys.REQUEST_TRACE_ID_NAME);
		cr.getHeaders().putSingle(MDCKeys.REQUEST_TRACE_ID_NAME, requestTraceId);
		return getNext().handle(cr);
	}

}
