package se.gawell.setrace.jersey;

/*
 *     This file is part of SeTrace.
 *
 *   SeTrace is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SeTrace is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SeTrace.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.filter.ClientFilter;

/**
 * Wrapper class for Jersey Client. Purpose of this class is to automatically add 
 * RequestTraceIdClientFilter to the filter chain for any request.
 * 
 * @author Niklas Gawell
 *
 */
public class RequestTracingJerseyClient extends Client implements TracingJerseyBasedClient {
	
	public static final ClientFilter FILTER = new RequestTraceIdClientFilter();

	public RequestTracingJerseyClient() {
		super();
		addFilter(FILTER);
	}
	
}
