package se.gawell.setrace.jersey;

/*
 *     This file is part of SeTrace.
 *
 *   SeTrace is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SeTrace is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SeTrace.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import com.sun.jersey.spi.container.ContainerRequestFilter;
import com.sun.jersey.spi.container.ContainerResponseFilter;
import com.sun.jersey.spi.container.ResourceFilter;

/**
 * Filter for jersey servlets to add request trace id to MDC from request header.
 * 
 * Usage: annotate your resources with 
 * {@code @ResourceFilters({ServletRequestTraceIdFilter.class})}
 * 
 * @author Niklas Gawell
 *
 */
public class ServletRequestTraceIdFilter implements ResourceFilter {
	
	private ServletRequestTraceIdRequestFiler requestFilter = new ServletRequestTraceIdRequestFiler();
	
	@Override
	public ContainerRequestFilter getRequestFilter() {
		return requestFilter;
	}

	@Override
	public ContainerResponseFilter getResponseFilter() {
		return null;
	}

}
